var glass_item_count = 0;//Сколько баннеров всего
var glass_item_index = 0;//Текущий активный баннер(индекс!)
var glass_duration = 800;
var glass_interval = 6000;
var glass_easing = 'swing';
var glass_interval_id = null;
$(document).ready(function(){
	initGlass();
	glass_interval_id = window.setInterval(function(){glassNextPlease()}, glass_interval);
});
function initGlass()
{//Подготовить промо-баннер с прозрачностями для работы
	glass_item_count = $('.LiveBanner .Panel a.Number').length;
	glass_item_index = 0;
	$('.LiveBanner .Panel a.Number').on('click',function(e){ glassDotClick(e); });
	$('.LiveBanner .Panel a:first').on('click',function(e){ e.preventDefault();e.stopPropagation(); window.clearInterval(glass_interval_id); glassShowItem(glass_item_index-1); });
	$('.LiveBanner .Panel a:last').on('click',function(e){ e.preventDefault();e.stopPropagation(); window.clearInterval(glass_interval_id); glassShowItem(glass_item_index+1); });
	$('.LiveBanner .Panel a.Number:eq(0)').addClass('act');
	glassShowItem(glass_item_index);
}
function glassShowItem(index)
{//Показать заданный по счету элемент 
	if (index <0) index = glass_item_count - 1;
	if (index >= glass_item_count) index = 0;
	glass_item_index = index;
	if (index >=0 && index < glass_item_count)
	{
		prevIndex = index-1;
		if (prevIndex <0) prevIndex = glass_item_count - 1;
		$('.LiveBanner .Item').css('z-index',"5").hide();
		$('.LiveBanner .Item:eq('+index+'),.LiveBanner .Item:eq('+prevIndex+')').show();
		$('.LiveBanner .Item:eq('+prevIndex+')').css('z-index',"10");
		$('.LiveBanner .Item:eq('+index+')').css('z-index',"20").css('opacity',0).css('filter','alpha(opacity=0)').animate(
			{
				'opacity':1,
				//'filter':'alpha(opacity=100)'
			},
			{
				'duration':glass_duration,
				'easing':glass_easing,
				'queue':false,
				'complete':function(){
					$('.LiveBanner .Panel a.Number').removeClass('act');
					$('.LiveBanner .Panel a.Number:eq('+glass_item_index+')').addClass('act');
					$('.LiveBanner .Panel a.Mover, .LiveBanner .Panel a.MoverInact').removeClass('Mover MoverInact').addClass('Mover'); 
					if (glass_item_index == 0) $('.LiveBanner .Panel a.Mover:first').addClass('MoverInact');
					if (glass_item_index == (glass_item_count-1)) $('.LiveBanner .Panel a.Mover:last').addClass('MoverInact');
				}
			}
		);
	}
}
function glassNextPlease()
{//Показ следующего баннера 
	glassShowItem(++glass_item_index);
}
function glassDotClick(e)
{//Нажатие на точке
	e.preventDefault();e.stopPropagation();
	window.clearInterval(glass_interval_id);
	var index = $('.LiveBanner .Panel a.Number').index(e.currentTarget);
	glassShowItem(index);
}
